Namespaces | Enumerations
EBOOKDocument.cpp File Reference
`#include "config.h"`
`#include <algorithm>`
`#include <cstring>`
`#include <boost/scoped_ptr.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <libe-book/libe-book.h>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include <libxml/HTMLparser.h>`
`#include <libxml/xmlreader.h>`
`#include "libebook_utils.h"`
`#include "libebook_xml.h"`
`#include "EBOOKHTMLToken.h"`
`#include "EBOOKOPFToken.h"`
`#include "EPUBToken.h"`
`#include "FB2Parser.h"`
`#include "FB2Token.h"`
`#include "IMPParser.h"`
`#include "LRFParser.h"`
`#include "PDBParser.h"`
`#include "PLKRParser.h"`
`#include "PMLParser.h"`
`#include "QIOOParser.h"`
`#include "TCRParser.h"`
`#include "TDParser.h"`
`#include "ZTXTParser.h"`
`#include "ZVRParser.h"`

## Namespaces
| libebook

## Enumerations
enum | libebook::@8::BOMEncoding

## Enumeration Type Documentation

## § BOMEncoding

enum libebook::@8::BOMEncoding

## Variable Documentation

## § checkFun

CheckTypeFun_t checkFun

## § probeFun

ProbeFun_t probeFun

## § type

EBOOKDocument::Type type

Referenced by libebook::LRFCollector::collectImageData().